WordPress.org

Support

Support » Plugins and Hacks » [Plugin: NextGEN Gallery] NextGen/MailPress conflict ?

[Plugin: NextGEN Gallery] NextGen/MailPress conflict ?

  • When using NextGen Gallery and MailPress beta2 I get the following fault printed:

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'nggMediaRss::add_mrss_alternate_link' was given in /home/signatur/public_html/wpxt/wp-includes/plugin.php on line 339
    
    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'nggMediaRss::add_piclens_javascript' was given in /home/signatur/public_html/wpxt/wp-includes/plugin.php on line 339

    It may be a MailPress problem and I will doublepost this.

    Anyone know anything about the problem ?

Viewing 5 replies - 1 through 5 (of 5 total)
  • I don’t think Mailpress & NextGen conflict. I use them both on multiple client sites and haven’t had a problem. I don’t think I’m using the beta version though

    This issue is with Nextgen 1.21 and MailPress 3 beta 2 on WP 2.71.

    Its also an issue With NextGen 1.21 and Mailpress 2.01.

    From mailpress forum:

    the problem comes from nggallery.php

    if ( defined(‘DOING_AJAX’) )
    require_once (dirname (__FILE__) . ‘/admin/ajax.php’);
    else {
    require_once (dirname (__FILE__) . ‘/lib/meta.php’);
    // 131.856
    require_once (dirname (__FILE__) . ‘/lib/tags.php’);
    // 117.136
    require_once (dirname (__FILE__) . ‘/lib/media-rss.php’);
    // 82.768
    require_once (dirname (__FILE__) . ‘/widgets/widgets.php’);
    // 298.792
    require_once (dirname (__FILE__) . ‘/lib/rewrite.php’);
    // 71.936
    include_once (dirname (__FILE__) .
    ‘/admin/tinymce/tinymce.php’); // 22.408

    the ngg requested call back is in lib/media-rss.php
    a workaround could be to delete the line ‘DOING_AJAX’

    in mailpress/mp-includes/action.php

    but the fix must be done on nggallery ..

    Fixed in MailPress 3.0.1

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: NextGEN Gallery] NextGen/MailPress conflict ?’ is closed to new replies.
Skip to toolbar